### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface AssociationPropertyInterface

All Superinterfaces:
  `AbstractPropertyInterface`, `MetadataInterface`, `PrototypePropertyInterface`, `PublicObjectInterface`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public interface AssociationPropertyInterface extends PrototypePropertyInterface

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAssociationName()`
  Get the association name.
  `int`
  `getMaximum()`
  Get the maximum cardinality of the association.
  `String`
  `getMetadataType()`
  Get the metadata type that can be associated via this association.
  `int`
  `getMinimum()`
  Get the minimum cardinality for this assocation.
  `String`
  `getPartnerName()`
  Get the parner's name for this association.
  `void`
  `setAssociationName(String name)`
  Set the association name.
  `void`
  `setMaximum(int max)`
  Set the maximum cardinality of the association.
  `void`
  `setMetadataType(String type)`
  Set the metadata type that can be associated via this association.
  `void`
  `setMinimum(int min)`
  Set the minimum cardinality of the association.
  `void`
  `setPartnerName(String partner)`
  Set the partner association name for this association.

  ### Methods inherited from interface com.sas.services.information.metadata.AbstractPropertyInterface

  `addCustomizer, addEditor, addValidator, getAssociatedPropertyGroup, getCustomizers, getEditors, getIsExpert, getIsLinked, getIsRequired, getIsUpdateable, getIsVisible, getStoredConfiguration, getValidators, removeCustomizer, removeEditor, removeValidator, setAssociatedPropertyGroup, setIsExpert, setIsLinked, setIsRequired, setIsUpdateable, setIsVisible, setStoredConfiguration`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.metadata.PrototypePropertyInterface

  `getOwningPrototype, setOwningPrototype`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getMetadataType

    String getMetadataType() throws ServiceException, RemoteException
    Get the metadata type that can be associated via this association.
    Returns:
      The metadata type string.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setMetadataType

    void setMetadataType(String type) throws ServiceException, RemoteException
    Set the metadata type that can be associated via this association.
    Parameters:
      `type` - The metadata type.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getAssociationName

    String getAssociationName() throws ServiceException, RemoteException
    Get the association name.
    Returns:
      The name of the association this property represents.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setAssociationName

    void setAssociationName(String name) throws ServiceException, RemoteException
    Set the association name.
    Parameters:
      `name` - The name of the association this property represents.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getPartnerName

    String getPartnerName() throws ServiceException, RemoteException
    Get the parner's name for this association. This name is the "other direction" of this association.
    Returns:
      The partner's association name.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setPartnerName

    void setPartnerName(String partner) throws ServiceException, RemoteException
    Set the partner association name for this association.
    Parameters:
      `partner` - The partner's association name.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getMinimum

    int getMinimum() throws ServiceException, RemoteException
    Get the minimum cardinality for this assocation.
    Returns:
      The minimum cardinality of the association.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setMinimum

    void setMinimum(int min) throws ServiceException, RemoteException
    Set the minimum cardinality of the association.
    Parameters:
      `min` - The minimum cardinality of the association.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getMaximum

    int getMaximum() throws ServiceException, RemoteException
    Get the maximum cardinality of the association.
    Returns:
      The maximum cardinality of the association.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setMaximum

    void setMaximum(int max) throws ServiceException, RemoteException
    Set the maximum cardinality of the association.
    Parameters:
      `max` - The maximum cardinality of the association.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.